Virtual Happy Hour this month, Jun 28, we'll be getting a sneak preview at our soon to launch SaaS CMS!

Try our conversational search powered by Generative AI!

Problem with Castle.Core when upgrading from CMS.UI 10 to 11

Vote:
 

I ran into a problem when trying to upgrade from 10.11 to latest. 

Unable to find a version of 'Castle.Core' that is compatible with 'EPiServer.CMS.Core 10.10.5 constraint: Castle.Core (>= 3.3.3 && < 4.0.0)'.

My current version is 

Any thoughts? 

#199009
Nov 13, 2018 10:47
Vote:
 

That problem occurs, because the latest UI package also requires you to upgrade CMS.Core to the 11.x version. CMS.Core 11.x has support for newer Castle.Core packages. So upgrade all EPI packages to the 11.x version range.

#199010
Nov 13, 2018 10:53
Vote:
 
#199011
Edited, Nov 13, 2018 10:59
Vote:
 

How do you upgrade the package? If you in Visual Studio select one specific package source and not All for example, the dependencies which are located on a different package source are not upgraded and this typically causes this behavior.

#199013
Edited, Nov 13, 2018 11:20
Vote:
 

I tried as you suggested to upgrade only Core then the package Amesto.AutoConnect.EPiServer10 revealed that its most likely the problem. So i uninstalled Amesto.AutoConnect.EPiServer10 and installed Amesto.AutoConnect.EPiServer11 then i could run Update-Package EPiServer.CMS.UI

Thanks for the input

#199016
Nov 13, 2018 11:37
This topic was created over six months ago and has been resolved. If you have a similar question, please create a new topic and refer to this one.
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.